// Dependencies.
@import 'base/headings/headings';
@import 'components/clearfix/clearfix';

// Branding header
//
// Markup: header.twig
//
// Style guide: components.header

.header,
%header {
  display: flex;
  background: #fff;
  transition: top 0.5s ease-in-out;
  box-shadow: 0px 10px 40px 0px rgba(0, 0, 0, 0.05);
  @extend %clearfix;

  // Wrapper for website name and slogan.
  &__name-and-slogan {
    float: left;
    width: 25%;
    height:25%;
    display: flex;
  }
  // Wrapping link for logo.
  &__logo {
    position: relative;

    @include rtl() {
      float: right;
      margin: 0 0 0 10px;
    }
  }

  // Logo image.
  &__logo-image {
    width: 18px;
    height: auto;
    position:relative;
    padding-top: 150%;
  }
  // The name of the website.
  &__site-name {
    @extend %h4;
    margin-bottom: auto;

  }

  // The link around the name of the website.
  &__site-link {
    &:link,
    &:visited {
      color: color(text);
      text-decoration: none;
    }

    &:hover,
    &:focus {
      text-decoration: underline;
    }
  }

  // The slogan (or tagline) of a website.
  &__site-slogan {
    margin: 0;
  }

  // The secondary menu (login, etc.)
  &__secondary-menu {
    float: left;
    height: 10%;
    padding: 0;
    @include rtl() {
      float: left;
    }
  }

  // Wrapper for any blocks placed in the header region.
  &__region {
    // Clear the logo.
    clear: both;

    #block-system-main-menu{
      margin-right: 50px;
    }

    #block-system-main-menu .menu {
      display: flex;
      list-style-type: none;
      li{
        margin-left: 20px;
        list-style-type: none;
      }

    }
  }
}
